package com.progetto.VEBS.model.dto;

import org.locationtech.jts.geom.Geometry;

public class PoligonoAreaVerdeDTO {

	private Integer id_poligono;
    private String nome;
    private Double densita_alberi;
    private Geometry geometria;
    private Double area;


    public void PoligonoAreaVerdeDTO() {}
    
    public void PoligonoAreaVerdeDTO(Integer id_poligono, String nome, Double densita_alberi,  Geometry geometria, Double area) {
    	this.id_poligono = id_poligono;
    	this.nome = nome;
    	this.densita_alberi = densita_alberi;
    	this.geometria = geometria;
    	this.area = area;
    }

    // Getter e Setter
    public Integer getId() {
        return id_poligono;
    }

    public void setId(Integer id_poligono) {
        this.id_poligono = id_poligono;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Double getDensita() {
        return densita_alberi;
    }

    public void setDensita(Double densita_alberi) {
        this.densita_alberi = densita_alberi;
    }

    public Geometry getGeometry() {
        return geometria;
    }

    public void setGeometry(Geometry geometria) {
        this.geometria = geometria;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }
}
